# Docker CE Cookbook

The aim of this Chef cookbook is to install the Docker engine Community Edition.

This cookbook has been built following the instructions from https://docs.docker.com/install/.

## Another Docker engine cookbook?

I tried all the available cookbook and I wasn't able to get a working Docker
installation.

I decided to make a new one, with tests, following the official documentation
so that it should be more robust.

## Supported Platforms

* Debian 8/9

_If you want to add more platforms, feel free to open a PR!_

## Attributes

| Key | Type | Description | Default |
|-----|------|-------------|---------|
| `default[:docker_ce][:version]` | String | APT package version to be installed | 'latest' |

## Usage

 - If you use it from a Policyfile, a Role or an Environment, add it to the
`run_list` :

  ```yaml
  {
    "run_list": [
      "recipe[docker-ce]"
    ]
  }
  ```

 - If you want to use it within a cookbook :
  ```ruby
  include_recipe 'docker-ce'
  ```
